Description

Hi,

I’'m new to understanding society data and stata and just wanted to check I'm weighting the data properly (both in terms of the weight
used and the code entered). I'm looking at how individuals move between employment status over waves a, b and c¢ at local authority
level using special license data, the sectors they move into, how their pay changes as they move, their reason for changing jobs and
whether they are permanently or temporarily employed. I'd like to extract the data and then analysis it in excel. I'm using the
wave_indresp and wave_oslaua data. Before merging the data the code I'm using for wave b is

Keep pidp b_hidp b_strata b_psu b_indpxus_Iw b_jbstat b_jbsect b_paygu_dv b_jbterm1 b_jbterm2 (etc)
Svyset b_psu [pweight = b_indpxus_Iw], strata (b_strata)

Will this give me the correctly weighted data in terms of the proportion moving from employment to unemployment etc and from one
sector to another and changes in their pay as they move between sectors? Or will | need to enter separate weights for each variable
and look at each variable separately?

For wave a I'm using weight a_indpxus_xw and for wave c¢ ¢_indpxub_Iw are these correct?

Many thanks

History

#1 - 05/21/2014 11:59 AM - Olena Kaminska

Maire,

If you are using three waves in one model then use ¢_indpxub_Iw. If you are using each wave separately, then use cross-sectional weights ending
with _xw (a b and c respectively).

Note, the weight n_indPXub_Iw (with PX) is suitable only if ALL your questions are asked to proxy respondents as well as individual respondents
(check this with the questionnaire and look at Universe for each question). Otherwise use _indINub_Iw type weight. Please, read the documentation
part of weights - this should be helpful.

Olena

#2 - 05/21/2014 04:06 PM - Redmine Admin
- % Done changed from 0 to 50

#3 - 06/02/2014 10:01 AM - Redmine Admin
- Status changed from New to Closed

- % Done changed from 50 to 100

#4 - 11/10/2015 11:03 AM - Gundi Knies
- Category set to Weights
- Assignee set to Olena Kaminska

- Target version setto X M
